=== debian/changelog ===
plasma-login-manager (0.0.0+p24.04+vunstable+git20260127.0856-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 08:56:26 +0000
