=== debian/control ===
Source: plasma-login-manager
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-kpackage-dev,
               kf6-kwindowsystem-dev,
               liblayershellqtinterface-dev,
               libpam0g-dev,
               libplasma-dev,
               libsystemd-dev,
               pkg-kde-tools-neon,
               plasma-workspace-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-login-manager
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-login-manager.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-login-manager
Maintainer: Neon CI <neon@kde.org>

Package: plasmalogin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE's plasma-login-manager
 Plasma Login provides a display manager for KDE Plasma, forked from SDDM
 and with an new frontend providing a greeter, wallpaper plugin integration
 and System Settings module (KCM)
 .
 This package contains the plasma-login-manager main library.

Package: plasmalogin-dev
Section: libdevel
Architecture: any
Depends: kf6-extra-cmake-modules,
         plasmalogin (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: KDE's plasma-login-manager
 Plasma Login provides a display manager for KDE Plasma, forked from SDDM
 and with an new frontend providing a greeter, wallpaper plugin integration
 and System Settings module (KCM)
 .
 This package contains the plasma-login-manager development files.
