## plasma-login-manager 0.0.0+p24.04+vunstable+git20260130.1419

=== src/daemon/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,6 @@
     Seat.cpp
     SeatManager.cpp
     SocketServer.cpp
-    XorgUserDisplayServer.cpp
 )
 
 qt_add_dbus_adaptor(DAEMON_SOURCES "${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.DisplayManager.xml"          "DisplayManager.h" PLASMALOGIN::DisplayManager)
